## glstereomix glstereomix |

## Properties

GstGLStereoDownmix | downmix-mode | Read / Write

## Types and Values

struct | GstGLStereoMix

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAggregator
                        ╰── GstVideoAggregator
                            ╰── GstGLBaseMixer
                                ╰── GstGLMixer
                                    ╰── GstGLStereoMix

## Implemented Interfaces

GstGLStereoMix implements GstChildProxy.

## Description

Combine 2 input streams to produce a stereoscopic output stream. Input views are taken from the left pad and right pad respectively, and mixed according to their timelines.

If either input stream is stereoscopic, the approproriate view (left or right) is taken from each stream and placed into the output.

The multiview representation on the output is chosen according to the downstream caps.

#### Examples

    1
    2
    3
    4
    5
    6
    gst-launch-1.0 -v videotestsrc pattern=ball name=left \
        videotestsrc name=right glstereomix name=mix \
        left. ! vid/x-raw,width=640,height=480! glupload ! mix.  \
        right. ! video/x-raw,width=640,height=480! glupload ! mix.  \
        mix. ! video/x-raw'(memory:GLMemory)',multiview-mode=side-by-side ! \
        queue ! glimagesink output-multiview-mode=side-by-side

Mix 2 different videotestsrc patterns into a side-by-side stereo image and display it.

    1
    2
    3
    4
    5
    6
    7
    8
    gst-launch-1.0 -ev v4l2src name=left \
        videotestsrc name=right \
        glstereomix name=mix \
        left. ! video/x-raw,width=640,height=480 ! glupload ! glcolorconvert ! mix.  \
        right. ! video/x-raw,width=640,height=480 ! glupload ! mix.  \
        mix. ! video/x-raw'(memory:GLMemory)',multiview-mode=top-bottom ! \
        glcolorconvert ! gldownload ! queue ! x264enc ! h264parse ! \
        mp4mux ! progressreport ! filesink location=output.mp4

Mix the input from a camera to the left view, and videotestsrc to the right view, and encode as a top-bottom frame packed H.264 video.

## Synopsis

### Element Information

plugin | openglmixers
author | Jan Schmidt <jan@centricular.com>
class | Filter/Effect/Video

### Element Pads

name | sink_%u
direction | sink
presence | request
details | video/x-raw(memory:GLMemory), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D
| video/x-raw(meta:GstVideoGLTextureUploadMeta), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string){ RGBA, RGB, RGBx, BGR, BGRx, BGRA, xRGB, xBGR, ARGB, ABGR, Y444, I420, YV12, Y42B, Y41B, NV12, NV21, YUY2, UYVY, AYUV, GRAY8, GRAY16_LE, GRAY16_BE, RGB16, BGR16 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw(memory:GLMemory), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D
| video/x-raw(meta:GstVideoGLTextureUploadMeta), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string){ RGBA, RGB, RGBx, BGR, BGRx, BGRA, xRGB, xBGR, ARGB, ABGR, Y444, I420, YV12, Y42B, Y41B, NV12, NV21, YUY2, UYVY, AYUV, GRAY8, GRAY16_LE, GRAY16_BE, RGB16, BGR16 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstGLStereoMix

    struct GstGLStereoMix;

## Property Details

### The `“downmix-mode”` property

      “downmix-mode”             GstGLStereoDownmix

Output anaglyph type to generate when downmixing to mono.

Flags: Read / Write

Default value: Dubois optimised Green-Magenta anaglyph